# List documents

### Input

User needs to provide company number

<table><thead><tr><th width="181">Attribute</th><th width="348">Type</th><th>Description</th></tr></thead><tbody><tr><td>objKodas</td><td>String</td><td>Lithuania company number</td></tr></tbody></table>

### Output

| Attribute             | Type   | Description                                                                                                                                                                                                                                                                                                                                                                    |
| --------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| category              | String | <p></p><p>The category of the document or entry:</p><ul><li><code>SUTRUMPINTOS - CONDENSED</code></li><li><code>NESUTRUMPINTOS - NOT CONDENSED</code></li><li><code>KONSOLIDUOTOSIOS - CONSOLIDATED</code></li><li><code>ATSKIROSIOS - SEPARATE</code></li></ul><p>When a legal entity does not specify (does</p><p>not submit) the category of reports - it will be blank</p> |
| type                  | String | <p>Type of financial statement:</p><ul><li><code>METINĖS FINANSINĖS ATASKAITOS - ANNUAL FINANCIAL STATEMENT</code></li><li><code>TARPINĖS FINANSINĖS ATASKAITOS - INTERIM FINANCIAL STATEMENT</code></li></ul>                                                                                                                                                                 |
| faRinkinioName        | String | Name of the set of financial statements                                                                                                                                                                                                                                                                                                                                        |
| faRinkinioNr          | String | Number of the set of financial statements                                                                                                                                                                                                                                                                                                                                      |
| yearOfFinancialPeriod | Date   | Year of financial period this document refers to                                                                                                                                                                                                                                                                                                                               |
| id                    | String | Number identifier for document                                                                                                                                                                                                                                                                                                                                                 |
| categoryOfActivity    | String | Category of activity of a legal entity                                                                                                                                                                                                                                                                                                                                         |

```json
{
  "documents": {
    "searchCriteria": {
      "code": 124110246,
      "name": "Valstybės įmonė Registrų centras",
      "timestamp": "2024.07.08 16:11:44"
    },
    "documents": [
      {
        "id": 385595001,
        "yearOfFinancialPeriod": 2005,
        "type": "METINĖS FINANSINĖS ATASKAITOS",
        "category": " ",
        "validFrom": "2005-01-01",
        "validTo": "2005-12-31",
        "faRinkinioNr": "FS0007",
        "faRinkinioName": "Valstybės ir savivaldybės įmonių finansinė atskaitomybė (pinigų srautų ataskaita sudaroma netiesioginiu būdu)",
        "categoryOfActivity": "VALSTYBĖS, SAVIVALDYBĖS ĮMONĖS"
      },
      {
        "id": 385595002,
        "yearOfFinancialPeriod": 2006,
        "type": "METINĖS FINANSINĖS ATASKAITOS",
        "category": " ",
        "validFrom": "2006-01-01",
        "validTo": "2006-12-31",
        "faRinkinioNr": "FS0107",
        "faRinkinioName": "Valstybės ir savivaldybės įmonių finansinė atskaitomybė (pinigų srautų ataskaita sudaroma netiesioginiu būdu)",
        "categoryOfActivity": "VALSTYBĖS, SAVIVALDYBĖS ĮMONĖS"
      },
      {
        "id": 385595003,
        "yearOfFinancialPeriod": 2007,
        "type": "METINĖS FINANSINĖS ATASKAITOS",
        "category": " ",
        "validFrom": "2007-01-01",
        "validTo": "2007-12-31",
        "faRinkinioNr": "FS0107",
        "faRinkinioName": "Valstybės ir savivaldybės įmonių finansinė atskaitomybė (pinigų srautų ataskaita sudaroma netiesioginiu būdu)",
        "categoryOfActivity": "VALSTYBĖS, SAVIVALDYBĖS ĮMONĖS"
      },
      {
        "id": 385595004,
        "yearOfFinancialPeriod": 2008,
        "type": "METINĖS FINANSINĖS ATASKAITOS",
        "category": " ",
        "validFrom": "2008-01-01",
        "validTo": "2008-12-31",
        "faRinkinioNr": "FS0107",
        "faRinkinioName": "Valstybės ir savivaldybės įmonių finansinė atskaitomybė (pinigų srautų ataskaita sudaroma netiesioginiu būdu)",
        "categoryOfActivity": "VALSTYBĖS, SAVIVALDYBĖS ĮMONĖS"
      },
      {
        "id": 385595005,
        "yearOfFinancialPeriod": 2009,
        "type": "METINĖS FINANSINĖS ATASKAITOS",
        "category": " ",
        "validFrom": "2009-01-01",
        "validTo": "2009-12-31",
        "faRinkinioNr": "FS0207",
        "faRinkinioName": "Valstybės ir savivaldybės įmonių finansinių ataskaitų rinkinys (pinigų srautų ataskaita sudaroma netiesioginiu būdu)",
        "categoryOfActivity": "VALSTYBĖS, SAVIVALDYBĖS ĮMONĖS"
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/registru-centras/list-documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
